<template>
  <b-form-group
    :id="`${$attrs.id}-group`"
    :label="$attrs.label"
    :label-for="$attrs.id"
    class="label-s"
  >
    <b-form-textarea
      :style="[
        !editable ? { border: 'none', minHeight: '10px', resize: 'none' } : {}
      ]"
      maxlength="200"
      :disabled="!editable"
      v-bind="$attrs"
      :aria-describedby="`${$attrs.id}-feedback`"
      v-on="$listeners"
    >
    </b-form-textarea>

    <b-form-invalid-feedback :id="`${$attrs.id}-feedback`"
      >{{ invalidFeedback }}
    </b-form-invalid-feedback>
  </b-form-group>
</template>
<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    invalidFeedback: {
      type: String,
      required: false,
      default: ''
    },
    editable: {
      type: Boolean,
      default: false
    }
  }
})
</script>

<style scoped>
input,
textarea {
  border-radius: 0;
  width: 25em;
  padding: 0;
  border: 1px solid #ccc;
  min-height: 100px;
}

input,
textarea:focus {
  outline: none;
  box-shadow: none;
  border-color: #50c191;
  background-color: #f9f9f9;
}
</style>
